function output = sort_epochs(input,N)
% sort_epochs - selects N epochs randomly from a set
%
% This function takes a 2D dataset, and randomly selects N rows.
%
%   sort_epochs(input,N);
%       e.g., sort_epochs(data,30);
%        where data is a 96 by 19 matrix, 
%        would select 30 epochs from 96 epochs of 19 timepoints
%   

% Copyright Duke-UNC BIAC

array=input;
for i = 1:size(input,1)
    temp_num = ceil(rand(1)*size(input,1));
    temp=array(temp_num,:);
    array(temp_num,:)=array(i,:);
    array(i,:)=temp;    
end

output=squeeze(array(1:N,:));

